[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#463369: marked as done (sylpheed-claws: ldap_get_values, ldap_init, ldap_open implicitly converted to pointers)

Your message dated Sun, 06 Apr 2008 21:33:08 +0000
with message-id <E1JicU8-0006No-2G@ries.debian.org>
and subject line Bug#463369: fixed in sylpheed-claws 1.0.5-6.1
has caused the Debian Bug report #463369,
regarding sylpheed-claws: ldap_get_values, ldap_init, ldap_open implicitly converted to pointers
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

463369: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=463369
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: sylpheed-claws
Version: 1.0.5-5.2
Severity: important
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

This is often due to a missing function prototype definition.
For more information, see [2].

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions

  Function `ldap_get_values' implicitly converted to pointer at ldapquery.c:458
  Function `ldap_init' implicitly converted to pointer at ldapquery.c:709
  Function `ldap_get_values' implicitly converted to pointer at ldaputil.c:89
  Function `ldap_init' implicitly converted to pointer at ldaputil.c:210
  Function `ldap_open' implicitly converted to pointer at ldaputil.c:247

The libldap API has been updated and many functions used by the ldap
plugin are now deprecated. This package should either update to the
new API or define LDAP_DEPRECATED to continue using the deprecated

This patch implements the lazy solution.

diff -urpN sylpheed-claws-1.0.5.orig/src/ldapquery.h sylpheed-claws-1.0.5/src/ldapquery.h
--- sylpheed-claws-1.0.5.orig/src/ldapquery.h	2005-06-27 05:50:13.000000000 -0600
+++ sylpheed-claws-1.0.5/src/ldapquery.h	2008-01-31 00:00:08.000000000 -0700
@@ -30,6 +30,7 @@
 #include <stdio.h>
 #include <sys/time.h>
 #include <pthread.h>
 #include <ldap.h>
 #include "addrquery.h"
--- sylpheed-claws-1.0.5.orig/src/ldaputil.c	2005-06-27 05:50:13.000000000 -0600
+++ sylpheed-claws-1.0.5/src/ldaputil.c	2008-01-31 00:00:18.000000000 -0700
@@ -30,6 +30,7 @@
 #include <glib.h>
 #include <string.h>
 #include <sys/time.h>
 #include <ldap.h>
 #include <lber.h>

--- End Message ---
--- Begin Message ---
Source: sylpheed-claws
Source-Version: 1.0.5-6.1

We believe that the bug you reported is fixed in the latest version of
sylpheed-claws, which is due to be installed in the Debian FTP archive:

  to pool/main/s/sylpheed-claws/libsylpheed-claws-dev_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-clamav_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-dillo-viewer_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-i18n_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-image-viewer_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-pgpmime_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-plugins_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-scripts_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-spamassassin_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-trayicon_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1.diff.gz
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1.dsc
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1_ia64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
dann frazier <dannf@debian.org> (supplier of updated sylpheed-claws package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Fri, 28 Mar 2008 17:29:56 -0600
Source: sylpheed-claws
Binary: sylpheed-claws libsylpheed-claws-dev sylpheed-claws-plugins sylpheed-claws-clamav sylpheed-claws-dillo-viewer sylpheed-claws-image-viewer sylpheed-claws-spamassassin sylpheed-claws-trayicon sylpheed-claws-pgpmime sylpheed-claws-scripts sylpheed-claws-i18n
Architecture: source all ia64
Version: 1.0.5-6.1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: dann frazier <dannf@debian.org>
 libsylpheed-claws-dev - Development files to build plugins for Sylpheed-Claws
 sylpheed-claws - Extended version of the Sylpheed mail client
 sylpheed-claws-clamav - Clam AntiVirus plugin for Sylpheed Claws
 sylpheed-claws-dillo-viewer - HTML viewer plugin for Sylpheed Claws using Dillo
 sylpheed-claws-i18n - Locale data for Sylpheed Claws (i18n support)
 sylpheed-claws-image-viewer - Image viewer plugin for Sylpheed Claws
 sylpheed-claws-pgpmime - PGP/MIME plugin for Sylpheed Claws
 sylpheed-claws-plugins - Various plugins for the Sylpheed Claws mail client
 sylpheed-claws-scripts - Helper scripts for Sylpheed and Sylpheed Claws
 sylpheed-claws-spamassassin - SpamAssassin plugin for Sylpheed Claws
 sylpheed-claws-trayicon - Notification area plugin for Sylpheed Claws
Closes: 463369
 sylpheed-claws (1.0.5-6.1) unstable; urgency=low
   * Non-maintainer upload.
   * Define LDAP_DEPRECATED to continue use of deprecated LDAP functions.
     (Closes: #463369).
 816aaef2d7f3bce28a27afd31ef000b1 1159 mail optional sylpheed-claws_1.0.5-6.1.dsc
 8f3bf751b2443f34313461f00fce950a 95056 mail optional sylpheed-claws_1.0.5-6.1.diff.gz
 ec902665b7e83c58fe792f30a0d9f322 109180 mail optional sylpheed-claws-plugins_1.0.5-6.1_all.deb
 fcc235dd0a5bb32fd6aa39f7f00a40f2 167876 mail optional sylpheed-claws-scripts_1.0.5-6.1_all.deb
 ff7f053c8118940e40a92d7b440dcdd3 1189868 mail optional sylpheed-claws-i18n_1.0.5-6.1_all.deb
 90ea52d445a1c73f1958724ee2eb045a 1364558 mail optional sylpheed-claws_1.0.5-6.1_ia64.deb
 52d5429973fa242d2f42c4cf15dd60f9 198164 devel optional libsylpheed-claws-dev_1.0.5-6.1_ia64.deb
 cdb8a44b3206b702eead9119274bd7df 121746 mail optional sylpheed-claws-clamav_1.0.5-6.1_ia64.deb
 c6bfe7ea0282b052104c9b5fddae9570 117712 mail optional sylpheed-claws-dillo-viewer_1.0.5-6.1_ia64.deb
 af1fe8ada1cf974e10981459f297140d 119592 mail optional sylpheed-claws-image-viewer_1.0.5-6.1_ia64.deb
 e64311931ddf9380b172c40fe870d477 137110 mail optional sylpheed-claws-spamassassin_1.0.5-6.1_ia64.deb
 e61288075680020d6f5bd994ada28fd8 128650 mail optional sylpheed-claws-trayicon_1.0.5-6.1_ia64.deb
 0cc448ca8c9d91984d250ad7b84854e0 139730 mail optional sylpheed-claws-pgpmime_1.0.5-6.1_ia64.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: